<?php

$title = 'Реклама на сайте';
//-----Подключаем функции-----//
require_once ('../../../system/function.php');
//-----Подключаем вверх-----//
require_once ('../../../system/header.php');
                          
if(!$user['id'] or $user['level'] < 2) {
header('Location: '.$HOME.'/');
exit();
}

switch($_GET['act'])
{
default:


   echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | Управление рекламой</div>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `ads`"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$qwerty = mysql_query("SELECT * FROM `ads` ORDER BY `id` DESC LIMIT $start, $max");

while($sql = mysql_fetch_assoc($qwerty))
{
echo '<div class="podmenu">
<b>Название ссылки:</b> <big>'.$sql['name'].'</big> <br />
<b>Ссылка (url):</b> <big><a href="'.$sql['url'].'">'.$sql['url'].'</a></big> <br/ >
<b>Время добавления:</b> <big>'.vremja($sql['time']).'</big> <br />';
if($sql['time_srok'] > time()) {
echo '<b>Истекает:</b> <big>'.vremja($sql['time_srok']).'</big>';
} else {
echo '<b>Истекло:</b> <big>'.vremja($sql['time_srok']).'</big>';
}
echo '</div>
<div class="links">
Действия: <a href="/user/billing/adminka/rekl.php?act=del&id='.$sql['id'].'">Удалить</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Пусто!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/user/billing/adminka/rekl.php?',$k_page,$page); // Вывод страниц

break;



case 'del':

$id = abs(intval($_GET['id']));
$rek = mysql_fetch_assoc(mysql_query("SELECT * FROM `ads` WHERE `id` = '".$id."'"));

if($rek == 0) {
header('Location: '.$HOME.'/user/billing/adminka/rekl.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/panel/rek.php">'.$title.'</a> | <a href="'.$HOME.'/panel/rek.php?act=rek_set">Управление рекламой</a> | Удаление рекламного места</div>';

if(isset($_REQUEST['del'])) {
mysql_query("DELETE FROM `ads` WHERE `id` = '".$id."'");
header('Location: '.$HOME.'/user/billing/adminka/rekl.php');
exit();
}

echo '<div class="podmenu">Вы действительно хотите удалить это рекламное место?
<br />
<a href="'.$HOME.'/user/billing/adminka/rekl.php?act=del&id='.$id.'&del">Да</a></div>';

break;
}

//-----Подключаем низ-----//
require_once ('../../../system/footer.php');
?>